// PADUpdater API
// (c) Software-Algorithms.com
// use this file if you wan't PADUpdater to notify your application about what it's doing (for example when it finds a new version)
// this is especially useful when using the /HIDE parameter to run PADUpdater in hidden mode.
// example of a typical command line to use notification (assuming your app window handle is 1234):   PADUpdater.exe /HIDE /NOTIFY:1234
//////////////////////////////////////////////////////////////////////

#ifndef _PADUPDATERAPI_H_INCLUDED_
#define _PADUPDATERAPI_H_INCLUDED_

#include <windows.h>

#define PADUPDATER_API_VERSION		2002


//Window message sent to your application window to notify you of things
//to enable this you need to proved the command line parameter /NOTIFY:xxxxx when you run PADUpdater.exe (xxxx is your HWND window handle that wil be notified)
#define WM_PADUPDATER		WM_APP+6

//type of event is on the WPARAM of the above message, and extra info (if any) for that event is on the LPARAM
#define	WPARAM_STARTED						300			//always sent when PADUpdater starts, no matter what. The window handle of PADUpdater is on lParam
#define	WPARAM_FINDING_NEW_VERSION			311
#define	WPARAM_NEW_VERSION_AVAILABLE		312			//there's a new version on the web, but the user hadn't decided yet whether to download it or not
#define	WPARAM_OLD_VERSION_AVAILABLE		313			//there's an older version on the web (not sent in HIDE mode)
#define	WPARAM_FILE_IS_DOWNLOADING			315			//new/old version download is in progress. when receiving this you'll probably want to close your application so that the new version could install itself (and overwrite the files)
#define	WPARAM_FILE_DOWNLOADED				317			//the new/old version download is complete
#define	WPARAM_FILE_LAUNCHED				319			//the downloaded file (usually an installer) was executed
#define	WPARAM_USER_ABORTED					370			//the user stopped PADUpdater, (in example by pressing the X button on the upper right)
#define	WPARAM_FAILED						380			//an error occurred
#define	WPARAM_EXITED						390			//always sent when PADUpdater exists, no matter what


//this is what PADUpdater calls when it wants to notify your application
#define PUNotify(hWnd, wParam)	if (hWnd) PostMessage(hWnd, WM_PADUPDATER, (WPARAM)wParam, 0)
#define PUNotify2(hWnd, wParam, lParam)	if (hWnd) PostMessage(hWnd, WM_PADUPDATER, (WPARAM)wParam, (LPARAM)lParam)

#endif // _PADUPDATERAPI_H_INCLUDED_
